%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%                        
% Analysis Greedy Like Algorithms (AGLA)
% Version 1.0                                    
%     
% Copyright 2012 Raja Giryes, Sangnam Nam, Michael Elad, Remi Gribonval, and Mike. E. Davies
% 
% For all details please refer to README.TXT
%
% This software is a free software distributed under the terms of the GNU 
% Public License version 3 (http://www.gnu.org/licenses/gpl.txt). You can 
% redistribute it and/or modify it under the terms of this licence, for 
% personal and non-commercial use and research purpose.                                        
%                                                                                                                                                      
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

r = 0;
sigma = 1.2;
delta_interval = 0.05;
rho_interval = 0.05;
delta = delta_interval:delta_interval:1;
rho = rho_interval:rho_interval:1;
d = 200;
N = 50;
load output-merged.mat

for ii= 1:na
file_name = sprintf('algorithm%d_recoveryRate.png', ii); %name should be either .png or .eps
figure;
PlotPhaseDiagram(delta, rho, RecoveryRate(:,:,ii), file_name);
end